#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_ArenaTurretCFGData
{
	//ID
	int mID;
	//开放倍率
	int mOpenRate;
	//竞技场积分加成
	int mArenaIntegral;
};

class Fish_ArenaTurretCFG
{
public:
private:
	static std::auto_ptr<Fish_ArenaTurretCFG> msSingleton;
public:
	int GetCount();
	const Fish_ArenaTurretCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_ArenaTurretCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_ArenaTurretCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_ArenaTurretCFGData> mMapData;
};
